import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$3 } from './p-DiC-xcof.js';
import { d as defineCustomElement$2 } from './p-cXQuFflR.js';

const DgaButtonUsage = /*@__PURE__*/ proxyCustomElement(class DgaButtonUsage extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h("div", { key: '0e1b4417263b5e8045507ac093b60a45a610c3a4', style: {
                margin: "10px"
            } }, h("floating-button", { key: '15c5dc3b6b720b50c140b0525d6309c442553814', variant: "secondary-solid" }), h("div", { key: '8002da24c43d975d2e053ab46cea0b714a12625c', style: {
                marginTop: "10px",
            } }, h("floating-button", { key: '0c547f379aa77e01e29a91d586bf0aa4480b9882', variant: "primary-neutral", iconOnly: true }))));
    }
}, [0, "dga-floating-button-usage"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-floating-button-usage", "dga-icon", "floating-button"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-floating-button-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaButtonUsage);
            }
            break;
        case "dga-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "floating-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaFloatingButtonUsage = DgaButtonUsage;
const defineCustomElement = defineCustomElement$1;

export { DgaFloatingButtonUsage, defineCustomElement };
